using ProtoBuf;

namespace VetifyApi.Probuf
{
    [ProtoContract]
    public class report
    {
        [ProtoMember(1)]
        public ulong ID1 { get; set; }

        [ProtoMember(2)]
        public report2 ID2 { get; set; }

        [ProtoMember(3)]
        public report3 ID3 { get; set; }

        [ProtoMember(4)]
        public report4 ID4 { get; set; }

        [ProtoMember(5)]
        public report5 ID5 { get; set; }

        [ProtoMember(6)]
        public report6 ID6 { get; set; }

        [ProtoMember(7)]
        public report7 ID7 { get; set; }

        [ProtoMember(8)]
        public report8 ID8 { get; set; }

        [ProtoMember(9)]
        public report9 ID9 { get; set; }

        [ProtoMember(10)]
        public report10 ID10 { get; set; }

        [ProtoMember(11)]
        public report11 ID11 { get; set; }

        [ProtoMember(12)]
        public report12 ID12 { get; set; }

        [ProtoMember(13)]
        public report13 ID13 { get; set; }

        [ProtoMember(14)]
        public report14 ID14 { get; set; }

    }

    [ProtoContract]
    public class report2
    {
        [ProtoMember(1)]
        public long ID1 { get; set; } = 1999997;

        [ProtoMember(2)]
        public long ID2 { get; set; } = 1999997;

        [ProtoMember(3)]
        public long ID3 { get; set; } = 1999997;

        [ProtoMember(4)]
        public string ID4 { get; set; } = "!notset!";

        [ProtoMember(5)]
        public string ID5 { get; set; } = "!notset!";

        [ProtoMember(6)]
        public string ID6 { get; set; } = "!notset!";

        [ProtoMember(7)]
        public long ID7 { get; set; } = 1999997;

        [ProtoMember(8)]
        public long ID8 { get; set; } = 1999997;

        [ProtoMember(9)]
        public string ID9 { get; set; } = "!notset!";

        [ProtoMember(10)]
        public string ID10 { get; set; } = "!notset!";


        [ProtoMember(11)]
        public string ID11 { get; set; } = "!notset!";


        [ProtoMember(12)]
        public string ID12 { get; set; } = "!notset!";

        [ProtoMember(13)]
        public string ID13 { get; set; } = "!notset!";

        [ProtoMember(14)]
        public string ID14 { get; set; } = "!notset!";

        [ProtoMember(15)]
        public string ID15 { get; set; } = "!notset!";

        [ProtoMember(16)]
        public string ID16 { get; set; } = "!notset!";
        [ProtoMember(17)]
        public string ID17 { get; set; } = "!notset!";

        [ProtoMember(18)]
        public long ID18 { get; set; } = 1999997;

        [ProtoMember(19)]
        public string ID19 { get; set; } = "!notset!";


        [ProtoMember(20)]
        public long ID20 { get; set; } = 1999997;

        [ProtoMember(21)]
        public long ID21 { get; set; } = 1999997;

        [ProtoMember(22)]
        public long ID22 { get; set; } = 1999997;

        [ProtoMember(23)]
        public long ID23 { get; set; } = 1999997;

        [ProtoMember(24)]
        public long ID24 { get; set; } = 1999997;


        [ProtoMember(25)]
        public long ID25 { get; set; } = 1999997;

        [ProtoMember(26)]
        public long ID26 { get; set; } = 1999997;

        [ProtoMember(27)]
        public long ID27 { get; set; } = 1999997;

        [ProtoMember(28)]
        public long ID28 { get; set; } = 1999997;


        [ProtoMember(29)]
        public string ID29 { get; set; } = "!notset!";

        [ProtoMember(30)]
        public string ID30 { get; set; } = "!notset!";

        [ProtoMember(31)]
        public string ID31 { get; set; } = "!notset!";

        [ProtoMember(32)]
        public string ID32 { get; set; } = "!notset!";


        [ProtoMember(33)]
        public string ID33 { get; set; } = "!notset!";


        [ProtoMember(34)]
        public string ID34 { get; set; } = "!notset!";

        [ProtoMember(35)]
        public string ID35 { get; set; } = "!notset!";


        [ProtoMember(36)]
        public string ID36 { get; set; } = "!notset!";


        [ProtoMember(37)]
        public string ID37 { get; set; } = "!notset!";



        [ProtoMember(38)]
        public string ID38 { get; set; } = "!notset!";



        [ProtoMember(39)]
        public string ID39 { get; set; } = "!notset!";

        [ProtoMember(40)]
        public string ID40 { get; set; } = "!notset!";


        [ProtoMember(41)]
        public long ID41 { get; set; } = 1999997;

        [ProtoMember(42)]
        public string ID42 { get; set; } = "!notset!";


        [ProtoMember(43)]
        public long ID43 { get; set; } = 1999997;


        [ProtoMember(44)]
        public string ID44 { get; set; } = "!notset!";

        [ProtoMember(45)]
        public string ID45 { get; set; } = "!notset!";

        [ProtoMember(46)]
        public string ID46 { get; set; } = "!notset!";
    }

    [ProtoContract]
    public class report3
    {
        [ProtoMember(1)]
        public string ID1 { get; set; } = "!notset!";

        [ProtoMember(2)]
        public string device_id { get; set; } = "";

        [ProtoMember(3)]
        public string install_id { get; set; } = "";


        [ProtoMember(5)]
        public string ID5 { get; set; } = "!notset!";


        [ProtoMember(6)]
        public string ID6 { get; set; } = "!notset!";


        [ProtoMember(7)]
        public string ID7 { get; set; } = "!notset!";


        [ProtoMember(8)]
        public string ID8 { get; set; } = "!notset!";


        [ProtoMember(9)]
        public string ID9 { get; set; } = "!notset!";


        [ProtoMember(10)]
        public string ID10 { get; set; } = "!notset!";


        [ProtoMember(11)]
        public string ID11 { get; set; } = "!notset!";


        [ProtoMember(12)]
        public string ID12 { get; set; } = "!notset!";



        [ProtoMember(13)]
        public string ID13 { get; set; } = "!notset!";

        [ProtoMember(14)]
        public string ID14 { get; set; } = "";// f3624ecf-db4c-4655-aed1-e5b72d47ea04

        [ProtoMember(16)]
        public string ID16 { get; set; } = "!notset!";
    }

    [ProtoContract]
    public class report4
    {
        [ProtoMember(1)]
        public long ID1 { get; set; } = 1999997;

        [ProtoMember(2)]
        public long ID2 { get; set; } = 1999997;

        [ProtoMember(3)]
        public string ID3 { get; set; } = "!notset!";

        [ProtoMember(4)]
        public string ID4 { get; set; } = "!notset!";


        [ProtoMember(5)]
        public string ID5 { get; set; } = "!notset!";


        [ProtoMember(6)]
        public string ID6 { get; set; } = "1233";

        [ProtoMember(7)]
        public string ID7 { get; set; } = "!notset!";

        [ProtoMember(8)]
        public string ID8 { get; set; } = "!notset!";

        [ProtoMember(9)]
        public string ID9 { get; set; } = "!notset!";

        [ProtoMember(10)]
        public string ID10 { get; set; } = "ORETJV8xGyUfEw==";//ORETJV8xGyUfEw==

        [ProtoMember(11)]
        public string ID11 { get; set; } = "googleplay";

        [ProtoMember(12)]
        public string ID12 { get; set; } = "v05.01.00-alpha.10-ov-android";

        [ProtoMember(13)]
        public string ID13 { get; set; } = "ov";

        [ProtoMember(14)]
        public string ID14 { get; set; } = "inhouse";

        [ProtoMember(15)]
        public string ID15 { get; set; } = "!notset!";

        [ProtoMember(18)]
        public long ID18 { get; set; } = 1999997;


        [ProtoMember(19)]
        public long ID19 { get; set; } = 1999997;


        [ProtoMember(20)]
        public long ID20 { get; set; } = 1999997;


        [ProtoMember(21)]
        public long ID21 { get; set; } = 1999997;

        [ProtoMember(22)]
        public long ID22 { get; set; } = 1999997;

        [ProtoMember(23)]
        public long ID23 { get; set; } = 1999997;

        [ProtoMember(25)]
        public string ID25 { get; set; } = "!notset!";


        [ProtoMember(26)]
        public string ID26 { get; set; } = "!notset!";


    }

    [ProtoContract]
    public class report5
    {

        [ProtoMember(1)]
        public long ID1 { get; set; } = 1999997;


        [ProtoMember(2)]
        public string ID2 { get; set; } = "!notset!";


        [ProtoMember(3)]
        public string ID3 { get; set; } = "!notset!";

        [ProtoMember(4)]
        public long ID4 { get; set; } = 1999997;

        [ProtoMember(5)]
        public string ID5 { get; set; } = "!notset!";

        [ProtoMember(6)]
        public long ID6 { get; set; } = 1999997;


    }

    [ProtoContract]
    public class report6
    {
        [ProtoMember(1)]
        public string ID1 { get; set; } = "!notset!";

        [ProtoMember(2)]
        public string ID2 { get; set; } = "!notset!";


        [ProtoMember(3)]
        public string ID3 { get; set; } = "!notset!";

        [ProtoMember(4)]
        public string ID4 { get; set; } = "!notset!";


        [ProtoMember(5)]
        public string ID5 { get; set; } = "!notset!";


        [ProtoMember(6)]
        public string ID6 { get; set; } = "!notset!";


        [ProtoMember(7)]
        public string ID7 { get; set; } = "!notset!";


        [ProtoMember(8)]
        public string ID8 { get; set; } = "!notset!";

        [ProtoMember(9)]
        public long ID9 { get; set; } = 1999997;

        [ProtoMember(10)]
        public long ID10 { get; set; } = 1999997;

        [ProtoMember(11)]
        public long ID11 { get; set; } = 1999997;


        [ProtoMember(12)]
        public long ID12 { get; set; } = 1999997;


        [ProtoMember(13)]
        public long ID13 { get; set; } = 1999997;


        [ProtoMember(14)]
        public long ID14 { get; set; } = 1999997;


        [ProtoMember(15)]
        public long ID15 { get; set; } = 1999997;

        [ProtoMember(16)]
        public string ID16 { get; set; } = "!notset!";

        [ProtoMember(17)]
        public long ID17 { get; set; } = 1999997;

        [ProtoMember(18)]
        public long ID18 { get; set; } = 1999997;
    }


    [ProtoContract]
    public class report7
    {
        [ProtoMember(1)]
        public string ID1 { get; set; } = "!notset!";

        [ProtoMember(2)]
        public string ID2 { get; set; } = "!notset!";


        [ProtoMember(3)]
        public string ID3 { get; set; } = "!notset!";

        [ProtoMember(4)]
        public string ID4 { get; set; } = "!notset!";


        [ProtoMember(5)]
        public string ID5 { get; set; } = "!notset!";


        [ProtoMember(6)]
        public string ID6 { get; set; } = "!notset!";


        [ProtoMember(7)]
        public long ID7 { get; set; } = 1999997;


        [ProtoMember(8)]
        public string ID8 { get; set; } = "!notset!";

        [ProtoMember(9)]
        public string ID9 { get; set; } = "!notset!";

        [ProtoMember(10)]
        public long ID10 { get; set; } = 1999997;

        [ProtoMember(11)]
        public string ID11 { get; set; } = "!notset!";

        [ProtoMember(12)]
        public string ID12 { get; set; } = "!notset!";

        [ProtoMember(13)]
        public string ID13 { get; set; } = "!notset!";

        [ProtoMember(14)]
        public long ID14 { get; set; } = 1999997;

    }

    [ProtoContract]
    public class report8
    {
        [ProtoMember(1)]
        public string ID1 { get; set; } = "!notset!";

        [ProtoMember(2)]
        public long ID2 { get; set; } = 1999997;

        [ProtoMember(3)]
        public long ID3 { get; set; } = 1999997;

        [ProtoMember(4)]
        public long ID4 { get; set; } = 1999997;

        [ProtoMember(5)]
        public string ID5 { get; set; } = "!notset!";

        [ProtoMember(6)]
        public string ID6 { get; set; } = "!notset!";

        [ProtoMember(7)]
        public string ID7 { get; set; } = "!notset!";

        [ProtoMember(8)]
        public long ID8 { get; set; } = 1999997;

        [ProtoMember(9)]
        public long ID9 { get; set; } = 1999997;

        [ProtoMember(10)]
        public string ID10 { get; set; } = "!notset!";

        [ProtoMember(11)]
        public long ID11 { get; set; } = 1999997;

        [ProtoMember(12)]
        public long ID12 { get; set; } = 1999997;


        [ProtoMember(13)]
        public long ID13 { get; set; } = 1999997;


        [ProtoMember(14)]
        public string ID14 { get; set; } = "!notset!";


        [ProtoMember(15)]
        public string ID15 { get; set; } = "!notset!";


        [ProtoMember(16)]
        public long ID16 { get; set; } = 1999997;


        [ProtoMember(17)]
        public long ID17 { get; set; } = 1999997;

        [ProtoMember(18)]
        public long ID18 { get; set; } = 1999997;

        [ProtoMember(19)]
        public long ID19 { get; set; } = 1999997;

        [ProtoMember(20)]
        public long ID20 { get; set; } = 1999997;

        [ProtoMember(21)]
        public long ID21 { get; set; } = 1999997;

        [ProtoMember(23)]
        public string ID23 { get; set; } = "!notset!";

        [ProtoMember(24)]
        public string ID24 { get; set; } = "!notset!";

        [ProtoMember(25)]
        public string ID25 { get; set; } = "!notset!";

        [ProtoMember(26)]
        public string ID26 { get; set; } = "!notset!";


        [ProtoMember(27)]
        public long ID27 { get; set; } = 1999997;

        [ProtoMember(28)]
        public string ID28 { get; set; } = "!notset!";


        [ProtoMember(29)]
        public string ID29 { get; set; } = "!notset!";


        [ProtoMember(30)]
        public long ID30 { get; set; } = 1999997;

        [ProtoMember(31)]
        public long ID31 { get; set; } = 1999997;


        [ProtoMember(32)]
        public string ID32 { get; set; } = "!notset!";

        [ProtoMember(33)]
        public long ID33 { get; set; } = 1999997;

        [ProtoMember(34)]
        public string ID34 { get; set; } = "!notset!";


        [ProtoMember(35)]
        public long ID35 { get; set; } = 1999997;

        [ProtoMember(36)]
        public string ID36 { get; set; } = "!notset!";

        [ProtoMember(37)]
        public string ID37 { get; set; } = "!notset!";

        [ProtoMember(38)]
        public string ID38 { get; set; } = "!notset!";


        [ProtoMember(39)]
        public string ID39 { get; set; } = "!notset!";

        [ProtoMember(40)]
        public string ID40 { get; set; } = "!notset!";


        [ProtoMember(41)]
        public long ID41 { get; set; } = 1999997;


        [ProtoMember(42)]
        public long ID42 { get; set; } = 1999997;


        [ProtoMember(43)]
        public string ID43 { get; set; } = "!notset!";


        [ProtoMember(44)]
        public string ID44 { get; set; } = "!notset!";


        [ProtoMember(45)]
        public string ID45 { get; set; } = "!notset!";


        [ProtoMember(46)]
        public long ID46 { get; set; } = 1999997;

        [ProtoMember(47)]
        public string ID47 { get; set; } = "!notset!";

        [ProtoMember(48)]
        public string ID48 { get; set; } = "!notset!";


        [ProtoMember(49)]
        public long ID49 { get; set; } = 1999997;


        [ProtoMember(50)]
        public long ID50 { get; set; } = 1999997;

        [ProtoMember(51)]
        public long ID51 { get; set; } = 1999997;

        [ProtoMember(52)]
        public string ID52 { get; set; } = "!notset!";

        [ProtoMember(53)]
        public long ID53 { get; set; } = 1999997;

        [ProtoMember(54)]
        public long ID54 { get; set; } = 1999997;

        [ProtoMember(55)]
        public long ID55 { get; set; } = 1999997;


        [ProtoMember(56)]
        public string ID56 { get; set; } = "!notset!";



        [ProtoMember(57)]
        public long ID57 { get; set; } = 1999997;


        [ProtoMember(58)]
        public long ID58 { get; set; } = 1999997;


        [ProtoMember(59)]
        public long ID59 { get; set; } = 1999997;


        [ProtoMember(60)]
        public long ID60 { get; set; } = 1999997;



        [ProtoMember(61)]
        public long ID61 { get; set; } = 1999997;


        [ProtoMember(62)]
        public long ID62 { get; set; } = 1999997;

        [ProtoMember(63)]
        public long ID63 { get; set; } = 1999997;


        [ProtoMember(64)]
        public string ID64{ get; set; } = "!notset!";



        [ProtoMember(65)]
        public string ID65 { get; set; } = "!notset!";

        [ProtoMember(66)]
        public long ID66 { get; set; } = 1999997;

        [ProtoMember(67)]
        public long ID67 { get; set; } = 1999997;


        [ProtoMember(68)]
        public long ID68 { get; set; } = 1999997;


        [ProtoMember(69)]
        public long ID69 { get; set; } = 1999997;


        [ProtoMember(70)]
        public long ID70 { get; set; } = 1999997;

        [ProtoMember(71)]
        public long ID71 { get; set; } = 1999997;


        [ProtoMember(72)]
        public long ID72 { get; set; } = 1999997;


    }

    [ProtoContract]
    public class report9
    {
        [ProtoMember(1)]
        public string ID1 { get; set; } = "!notset!";

        [ProtoMember(2)]
        public string ID2 { get; set; } = "!notset!";

        [ProtoMember(3)]
        public string ID3 { get; set; } = "!notset!";


        [ProtoMember(4)]
        public long ID4 { get; set; } = 1999997;

        [ProtoMember(5)]
        public long ID5 { get; set; } = 1999997;

    }

    [ProtoContract]
    public class report10
    {
        [ProtoMember(1)]
        public string ID1 { get; set; } = @"{""rd"":""{\""autoReport\"":1,\""install\"":1}"",""ksir_code"":""102b58c4"",""setting_version"":-999,""garbled"":false}";

        [ProtoMember(2)]
        public string ID2 { get; set; } = "!notset!";

        [ProtoMember(3)]
        public long ID3 { get; set; } = 1999997;

        [ProtoMember(4)]
        public string ID4 { get; set; } = "!notset!";

        [ProtoMember(5)]
        public string ID5 { get; set; } = "m5ubm5ubm5ubm5ubm5ubmw==";

        [ProtoMember(6)]
        public long ID6 { get; set; } = 1999997;

        [ProtoMember(7)]
        public long ID7 { get; set; } = 10;

        [ProtoMember(8)]
        public string ID8 { get; set; } = "!notset!";

    }
    [ProtoContract]
    public class report11
    {


    }

    [ProtoContract]
    public class report12
    {


    }
    [ProtoContract]
    public class report13
    {
        [ProtoMember(1)]
        public long ID1 { get; set; } = 1999997;

        [ProtoMember(2)]
        public string ID2 { get; set; } = "!notset!";

        [ProtoMember(3)]
        public string ID3 { get; set; } = "!notset!";

        [ProtoMember(4)]
        public string ID4 { get; set; } = "!notset!";

        [ProtoMember(5)]
        public string ID5 { get; set; } = "!notset!";

        [ProtoMember(6)]
        public string ID6 { get; set; } = "!notset!";

        [ProtoMember(7)]
        public string ID7 { get; set; } = "!notset!";

        [ProtoMember(8)]
        public string ID8 { get; set; } = "!notset!";

        [ProtoMember(9)]
        public string ID9 { get; set; } = "!notset!";

        [ProtoMember(10)]
        public string ID10 { get; set; } = "!notset!";



    }

    [ProtoContract]
    public class report14
    {
        [ProtoMember(1)]
        public long ID1 { get; set; } = 1999997;

        [ProtoMember(2)]
        public long ID2 { get; set; } = 1999997;

        [ProtoMember(3)]
        public string ID3 { get; set; } = "!notset!";

        [ProtoMember(4)]
        public string ID4 { get; set; } = "!notset!";

        [ProtoMember(5)]
        public string ID5 { get; set; } = "!notset!";

        [ProtoMember(6)]
        public long ID6 { get; set; } = 1999997;


        [ProtoMember(7)]
        public long ID7 { get; set; } = 1999997;


        [ProtoMember(8)]
        public string ID8 { get; set; } = "!notset!";



        [ProtoMember(9)]
        public string ID9 { get; set; } = "!notset!";

        [ProtoMember(10)]
        public string ID10 { get; set; } = "!notset!";

        [ProtoMember(11)]
        public string ID11 { get; set; } = "!notset!";



    }


}
